// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/kmlamp_white
{
	surfaceparm trans
	{
		map textures/effects/tinfxb.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/flare03
{
	deformvertexes autosprite
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/flare03.tga
		blendfunc gl_one gl_one
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/techfloor
{
	surfaceparm metalsteps
	{
		map textures/sfx/proto_zzztpink.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		clampmap textures/base_floor/techfloor2.tga
		blendfunc blend
		tcmod rotate 170
		tcmod stretch sin .8 0.2 0 .4
		rgbgen identity
	}
	{
		map textures/base_floor/techfloor.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/border7_ceil50
{
	qer_editorimage textures/base_light/border7_ceil50.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border7_ceil50.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border7_ceil50glow.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1_3000
{
	qer_editorimage textures/base_light/light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1blue_1500
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1blue.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
}

textures/base_wall/bluemetal1b_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_wall/bluemetalsupport2e
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/comp3
{
	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 1000
	{
		map textures/base_wall/comp3text.tga
		rgbgen identity
		tcmod scroll 3 1
	}
	{
		map textures/base_wall/comp3env.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen wave sin .98 .02 0 5
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
	{
		map textures/base_wall/comp3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/grill
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/grill.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/train1
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .1
		rgbgen identity
	}
	{
		map textures/base_wall/train1.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_floor/pent_metalbridge02
{
	q3map_lightimage textures/gothic_floor/pent_glow.tga
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_floor/pent_metalbridge02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_floor/pent_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 0.5
	}
}

textures/gothic_floor/xq1metalbig_ow
{
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		rgbgen identity
	}
	{
		map textures/sfx/specular.tga
		tcgen environment
		tcmod scale 3 3
		tcmod turb 0 .25 0 .05
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/_sky/ths_env
{
	q3map_lightimage gfx/colors/black.tga
	qer_editorimage textures/_sky/ths_env.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/ths 512 -
	q3map_globaltexture
	q3map_sun .1 .1 .1 200 65 45
	q3map_surfacelight 50
}

